# Setup Accura NFC

### Setting up License

```
  Future<void> getMetaData() async{
    try {
      await AccuraOcr.getMetaData().then((value) =>
          var result = json.decode(value);
          print(result["isValid"]);
    }on PlatformException{}
    if (!mounted) return;
  }
```

### Method to start Passport NFC.

```
// Add your Passport No. , Date of Birth(ddmmyy), Date of expiry(ddmmyy) in the below format and order(String).
      var passArgs = [
        passportNo,
        dob,
        doe,
      ];

      // Start NFC process using the method channel
      await AccuraOcr.startNFC(passArgs).then((response) {
        print("NFC Result: $response");
      }).catchError((error) {
        print("NFC error: $error");
      });
    } on PlatformException {}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/solutions/nfc-scanner/flutter/setup-accura-nfc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
